package ru.dbotthepony.kstarbound.defs

import com.google.common.collect.ImmutableList
import ru.dbotthepony.kstarbound.io.json.builder.JsonFactory

@JsonFactory
data class Species(
	val kind: String,
	val charCreationTooltip: Tooltip,
	val nameGen: ImmutableList<String>,
	val ouchNoises: OuchNoises,
) {
	@JsonFactory
	data class Tooltip(val title: String, val subTitle: String, val description: String)

	@JsonFactory(asList = true)
	data class OuchNoises(val male: String, val female: String)
}
